#ifndef _TBDRAWINGAREA_
#define _TBDRAWINGAREA_
#pragma once

#include "afxwin.h"
#include <math.h>
#include <iostream>
#include <map>

typedef std::map<double,double> t_mapXY ;
typedef std::pair<double,double> Double_Pair;


class CDrawingArea :
	public CStatic
{
public:
	CDrawingArea(void);
	~CDrawingArea(void);

	void SetBounds(double xmin, double xmax, double ymin, double ymax) ;
	int GetLocalX( double x_value ) ;
	int GetLocalY( double y_value ) ;
	void DrawLine( double x1, double y1, double x2, double y2);
	void SetUnits(CString Xunit, CString Yunit) ;
	void SetData( t_mapXY varray );


	DECLARE_MESSAGE_MAP()

	// Drawing area :
	CRect m_rect, tmp_rect ;
	CString tmp_str ;
	int m_height, m_width ;
	int m_iTmp ;
	double m_fTmp ;
	HPEN m_blackPen, m_grayPen, m_redPen ;
	bool m_initialized ;

	t_mapXY m_varray ;
	t_mapXY::iterator m_it ;
	int m_varraySize ;

	HFONT m_font ;

	// data bounds & stuff
	double x_min, x_max, y_min, y_max ;
	double x_step, y_step ;
	CString strXUnit, strYUnit ;


	afx_msg void OnPaint();
};

#endif //_TBDRAWINGAREA_